import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;

import javax.swing.JButton;


/**
 * The fill button
 *
 * @author Annmarie Stanley and Hannah Chadd.
 *         Created Apr 4, 2008.
 */
public class fillButton extends JButton implements ActionListener, MouseListener {

	/** Creates a fill button */
	public fillButton() {
		super("Fill");
	}
	
	
	public void actionPerformed(ActionEvent arg0) {
		// Empty

	}


	public void mouseClicked(MouseEvent e) {
		DrawingPanel.drawTool = this;
		
	}


	public void mouseEntered(MouseEvent e) {
		// Empty
		
	}


	public void mouseExited(MouseEvent e) {
		// Empty
		
	}


	public void mousePressed(MouseEvent e) {
		CanvasPanel.changeButton(5);
		
	}


	public void mouseReleased(MouseEvent e) {
		// Empty
		
	}

}
